# match_parens

find mismatches of various brackets and quotes

## Properties

|key|value|
|-:|:-|
|  script:|match_parens|
|   short:|find mismatches of various brackets and quotes|
|    type:|ruby|
|  author:|Wybo Dekker|
|   email:|[wybodekker@me.com](mailto:wybodekker@me.com)|
| version:|1.46|
| license:|GNU General Public License|
|   intro:|Mismatches of parentheses, braces, (angle) brackets,|
|         |especially in TeX sources which may be rich in those,|
|         |may be difficult to trace. This little script helps you|
|         |by writing your text to standard output, after adding a|
|         |left margin to your text, which will normally be almost|
|         |empty, but will clearly show up to 10 mismatches. (Just|
|         |try me on myself to see that the parenthesis starting this|
|         |sentence will not appear to be matched at the end of the|
|         |file. If you look at me in the vim editor, then select|
|         |this paragraph and try the command: **:!%**.|

## Options

|option|description|
|:-|:-|
|-h		|print this help and exit|
|-H, --help	|print full documentation via less and exit|
|-V, --version	|print version and exit|
|-l, --latex	|convert ``... to “...” before testing|
|-n, --number=N	|set number of mismatching characters shown to N (default: 10)|
|-p, --pairs=S	|set matching pairs to S (default: {}[]()“”''«»""‘’)|
|    --test	|do an internal test and exit|
